# Enum Class OpenTelemetryProtocol

java.lang.Object
java.lang.Enum<OpenTelemetryProtocol>
com.io7m.certusine.vanilla.internal.jaxb.OpenTelemetryProtocol

All Implemented Interfaces:
  `Serializable, Comparable<OpenTelemetryProtocol>, Constable`

public enum OpenTelemetryProtocol extends Enum<OpenTelemetryProtocol>

Java class for OpenTelemetryProtocol.

The following schema fragment specifies the expected content contained within this class.

    <simpleType name="OpenTelemetryProtocol">
      <restriction base="{http://www.w3.org/2001/XMLSchema}string">
        <enumeration value="HTTP"/>
      </restriction>
    </simpleType>

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HTTP`
  The data will be sent using HTTP(s).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static OpenTelemetryProtocol`
  `fromValue(String v)`
  `String`
  `value()`
  `static OpenTelemetryProtocol`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static OpenTelemetryProtocol[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HTTP

    public static final OpenTelemetryProtocol HTTP
    The data will be sent using HTTP(s).

- ## Method Details

  - ### values

    public static OpenTelemetryProtocol[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static OpenTelemetryProtocol valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### fromValue

    public static OpenTelemetryProtocol fromValue(String v)